Name:           python-ctlearn
Version:        0.10.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CTLearn is a package under active development to run deep learning models to analyze data from all major current and future arrays of imaging atmospheric Cherenkov telescopes (IACTs).

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/ctlearn-project/ctlearn
Source:         %{pypi_source ctlearn}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ctlearn' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ctlearn
Summary:        %{summary}

%description -n python3-ctlearn %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ctlearn all,doc


%prep
%autosetup -p1 -n ctlearn-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,doc


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ctlearn -f %{pyproject_files}


%changelog
%autochangelog